com.jscape.inet.mft.management.descriptors

## Class SftpAlgorithms

- java.lang.Object
- - com.jscape.inet.mft.management.descriptors.Configuration
  - - com.jscape.inet.mft.management.descriptors.SftpAlgorithms

- All Implemented Interfaces:
    com.jscape.util.db.IntVersioned, java.io.Serializable

      public class SftpAlgorithms
      extends Configuration

  SFTP service algorithms descriptor.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SftpAlgorithms()` Creates new instance.
    `SftpAlgorithms(SftpAlgorithms that)` Creates new instance from existing instance.
    `SftpAlgorithms(java.lang.String[] supportedKexes, java.lang.String[] supportedCiphers, java.lang.String[] supportedMacs, java.lang.String[] supportedCompressions)` Creates new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Configuration` | `copy()`
    `java.lang.String[]` | `getSupportedCiphers()` Gets ciphers.
    `java.lang.String[]` | `getSupportedCompressions()` Gets compression algorithms.
    `java.lang.String[]` | `getSupportedKexes()` Gets key exchange algorithms.
    `java.lang.String[]` | `getSupportedMacs()` Gets MAC (message authentication) algorithms.
    `void` | `setSupportedCiphers(java.lang.String[] value)` Sets ciphers.
    `void` | `setSupportedCompressions(java.lang.String[] value)` Sets compression algorithms.
    `void` | `setSupportedKexes(java.lang.String[] value)` Sets key exchange algorithms.
    `void` | `setSupportedMacs(java.lang.String[] value)` Sets MAC (message authentication) algorithms.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.jscape.inet.mft.management.descriptors.Configuration

      `getVersion, setVersion`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SftpAlgorithms

          public SftpAlgorithms(java.lang.String[] supportedKexes,
                                java.lang.String[] supportedCiphers,
                                java.lang.String[] supportedMacs,
                                java.lang.String[] supportedCompressions)

      Creates new instance.
      Parameters:
        `supportedKexes` - supported key exchange algorithms
        `supportedCiphers` - supported cipher algorithms
        `supportedMacs` - supported MAC algorithms
        `supportedCompressions` - supported compression algorithms

    - #### SftpAlgorithms

          public SftpAlgorithms(SftpAlgorithms that)

      Creates new instance from existing instance.
      Parameters:
        `that` - an instance to copy

    - #### SftpAlgorithms

          public SftpAlgorithms()

      Creates new instance.

  - ### Method Detail

    - #### getSupportedKexes

          public java.lang.String[] getSupportedKexes()

      Gets key exchange algorithms.
      Returns:
        key exchange algorithms

    - #### setSupportedKexes

          public void setSupportedKexes(java.lang.String[] value)

      Sets key exchange algorithms.
      Parameters:
        `value` - key exchange algorithms

    - #### getSupportedCiphers

          public java.lang.String[] getSupportedCiphers()

      Gets ciphers.
      Returns:
        supported cipher algorithms

    - #### setSupportedCiphers

          public void setSupportedCiphers(java.lang.String[] value)

      Sets ciphers.
      Parameters:
        `value` - supported cipher algorithms

    - #### getSupportedMacs

          public java.lang.String[] getSupportedMacs()

      Gets MAC (message authentication) algorithms.
      Returns:
        supported MAC algorithms

    - #### setSupportedMacs

          public void setSupportedMacs(java.lang.String[] value)

      Sets MAC (message authentication) algorithms.
      Parameters:
        `value` - supported MAC algorithms

    - #### getSupportedCompressions

          public java.lang.String[] getSupportedCompressions()

      Gets compression algorithms.
      Returns:
        supported compression algorithms

    - #### setSupportedCompressions

          public void setSupportedCompressions(java.lang.String[] value)

      Sets compression algorithms.
      Parameters:
        `value` - supported compression algorithms

    - #### copy

          public Configuration copy()

      Specified by:
        `copy` in class `Configuration`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © Advanced Systems Concepts Inc. 1999-2021. All Rights Reserved